/*
 * ver.c - demo for serial number, product number and FPGA id
 *
 * Michael Steinel - Vision-Components 2016
 *
 * compile on camera with:
 *
 * gcc -I /usr/include/vc/ -lvclib -lvcflib -lm -lvclinux -lrt ver.c -o ver
 *
 * run with ./vcver
 */

#include <stdio.h>
#include <vclib.h>
#include <vclinux.h>

int main()

{

        I32  rc, err=0,diag=0;
        U32  fpgaHwId, fpgaRev;
        char sn[20], pn[30];

        rc=  vc_ver_fpga(&fpgaHwId, &fpgaRev);
        if(ERR_NONE!=rc){err=-1+10*rc; goto endfunc;}

        rc=  fread_license("/dev/mtd3", "P/N", pn, sn);
        if(ERR_NONE!=rc){err=-2+10*rc; goto endfunc;}

        printf("   S/N:             %s\n", sn);
        printf("   P/N:             %s\n", pn);
        printf(" \n");
        printf("   FPGA Hardware [ID, Revision]:        [0x%04x, 0x%04x]\n", fpgaHwId, fpgaRev);

endfunc:
        return rc;
}
